Firefox 57.0beta parliamone

Postate qui per tutte le discussioni legate a Linux in generale.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Gnu/Linux in genere, se l'argomento è specifico alla Slackware usate uno dei forum Slackware o Slackware64.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3466
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 53.0beta parliamone

Messaggioda Trotto@81 » gio set 28, 2017 18:09

Purtroppo a me non compilava la 56 e non ho avuto ancora modo di provare con la 57. Sono curioso di vedere le ottimizzazioni di Quantum relativo al rendering via GPU.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2186
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.0
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda ponce » gio set 28, 2017 20:16

comunque diverse estensioni e plugin, tra cui noscript, ora non funzionano piu' visto che e' stato abbandonato il supporto alla API xul: per alcune, come quella citata, gli autori stanno lavorando per portarle alla nuova API webextensions, altre verranno necessariamente abbandonate.
ah, per ora la 57.0b3 su slackware64-current si riesce a compilarla solo in inglese (e senza PGO) con lo SlackBuild di Pat, non sembra ancora supportare la localizzazione (vai a sape' te il perche'...).

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3466
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda Trotto@81 » gio set 28, 2017 20:22

Lato prestazioni noti miglioramenti?

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2186
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.0
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda ponce » gio set 28, 2017 21:07

si, mi sembra che sia ancora piu' reattivo delle ultime release (55 e 56), ma siamo nel campo delle sensazioni.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3466
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda Trotto@81 » gio set 28, 2017 21:34

grazie per il feedback.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2186
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.0
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda ponce » gio nov 16, 2017 17:00

non ho ancora risolto la questione della localizzazione, tra l'altro sembra che CTM abbia proposto a Pat delle modifiche per lo script, quindi aspetto per vedere quali...

...pero' se qualcuno vuole provare a compilarsi le beta della 58.x deve modificare lo SlackBuild in current cosi'

Codice: Seleziona tutto

--- ./mozilla-firefox.SlackBuild.orig   2017-10-03 08:34:24.000000000 +0200
+++ ./mozilla-firefox.SlackBuild        2017-11-16 14:51:07.593346490 +0100
@@ -180,7 +180,6 @@
   --enable-official-branding \
   --prefix=/usr \
   --libdir=/usr/lib${LIBDIRSUFFIX} \
-  --with-default-mozilla-five-home=/usr/lib${LIBDIRSUFFIX}/firefox-$RELEASEVER \
   --with-system-zlib \
   --enable-alsa \
   --enable-application=browser \
@@ -250,15 +249,16 @@
   # Launch Xvfb to let the profile scripts run in a X session.
   # Ugly note: if the build breaks you may want to do a "killall Xvfb".
   Xvfb -nolisten tcp -extension GLX -screen 0 1280x1024x24 $DISPLAY &
-  dbus-launch --exit-with-session make -f client.mk build || exit 1
+  dbus-launch --exit-with-session ./mach build || exit 1
   kill $! || true
 else
   # Do a normal build
   echo "ac_add_options --disable-tests" >> .mozconfig
-  make -f client.mk build || exit 1
+  ./mach build || exit 1
 fi
 
-make -f client.mk install DESTDIR=$PKG || exit 1
+./mach buildsymbols || exit 1
+DESTDIR=$PKG ./mach install || exit 1
 
 # We don't need these (just symlinks anyway):
 rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/firefox-devel-$RELEASEVER
Ultima modifica di ponce il gio nov 16, 2017 17:22, modificato 1 volta in totale.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3466
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda Trotto@81 » gio nov 16, 2017 17:13

Ho su la current di marzo 2016, non mi compilava la 57, non penso vada la 58, ma appena ho tempo aggiorno la distro e provo.

rik70
Master
Master
Messaggi: 1780
Iscritto il: gio mar 10, 2011 9:21
Slackware: 14.1
Kernel: 4.0.x-smp
Desktop: Xfce 4.12

Re: Firefox 57.0beta parliamone

Messaggioda rik70 » gio nov 16, 2017 18:39

Ma... sbaglio o hanno fatto marcia indietro sul "taglio" al supporto alsa?

Meskalamdug
Iper Master
Iper Master
Messaggi: 3802
Iscritto il: ven mag 14, 2004 0:00

Re: Firefox 57.0beta parliamone

Messaggioda Meskalamdug » gio nov 16, 2017 19:25

Sto provando la finale,tutta altra cosa rispetto al firefox 56<
Veloce,reattivo e mi pare non consumi neppure troppa cpu.

Avatar utente
Trotto@81
Iper Master
Iper Master
Messaggi: 3466
Iscritto il: sab giu 26, 2004 0:00
Nome Cognome: Andrea
Slackware: Slackware64 14.2 bet
Kernel: default
Desktop: KDE 4.14.14
Località: Monasterace M. (RC)
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda Trotto@81 » gio nov 16, 2017 20:26

Sì, il salto è notevole rispetto al passato.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2186
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.0
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda ponce » gio nov 16, 2017 20:33

rik70 ha scritto:Ma... sbaglio o hanno fatto marcia indietro sul "taglio" al supporto alsa?

nelle beta della 58.x che ho compilato l'opzione "--enable-alsa" c'e' ancora ed e' abilitata nello SlackBuild (e quindi il binario risultante funziona sia con alsa che con pulseaudio), ma i binari che rilascia mozilla invece non la usano gia' da un bel po' (e quindi funzionano esclusivamente con pulseaudio, a meno di non usare hack tipo apulse).

Avatar utente
conraid
Staff
Staff
Messaggi: 12947
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda conraid » ven nov 17, 2017 13:42

Sto usando la 57. La usavo già nella developer edition, ma mi son reso conto solo aggiornando quella di uso giornaliero che i bookmark ora sono incasinati, visibili solo nella barra laterale, come è possibile mostrare i bookmark come prima?

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2186
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.0
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda ponce » ven nov 17, 2017 14:02

io riesco a vederli anche cliccando sull'icona evidenziata

screen.png
screen.png (2.52 KiB) Visto 159 volte

Avatar utente
conraid
Staff
Staff
Messaggi: 12947
Iscritto il: gio lug 14, 2005 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Località: Livorno
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda conraid » ven nov 17, 2017 14:07

ponce ha scritto:io riesco a vederli anche cliccando sull'icona evidenziata

screen.png


A me così mostra solo i recenti, o modi per appunto visualizzare la barra laterale, la liste come prima divisa in menù e sottomenù direttamente dall'icona non la trovo più.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2186
Iscritto il: mer mar 05, 2008 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 4.14.0
Desktop: lxde
Località: Pisa
Contatta:

Re: Firefox 57.0beta parliamone

Messaggioda ponce » ven nov 17, 2017 14:10

se premi col tasto destro sulla barra che contiene anche gli url puoi personalizzarla riaggiungendo il tasto col menu' dei bookmark.